<?php

/*
  Module developed for the Open Source Content Management System WebsiteBaker, adapted for LEPTON CMS (https://lepton-cms.org)
  Copyright (C) 2007 - 2018, Christoph Marti, Aldus, erpe

  LICENCE TERMS:
  This module is free software. You can redistribute it and/or modify it 
  under the terms of the GNU General Public License - version 2 or later, 
  as published by the Free Software Foundation: http://www.gnu.org/licenses/gpl.html.

  DISCLAIMER:
  This module is distributed in the hope that it will be useful, 
  but WITHOUT ANY WARRANTY; without even the implied warranty of 
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
  GNU General Public License for more details.
*/


// STATES
// ******

// This file is covering the United Kingdom = UK


/* 
   The name of this file must correspond to the country code!
   Eg. for United States of America = US set the file name to US.php
   
   If this file is installed, it will be invoked automatically by Bakery.
*/


// Modify the countries list to fit your needs by deleting lines or changing the lines order

// ISO 3166 — Codes for the representation of names of countries and their subdivisions
// Source: https://www.iso.org/obp/ui/#iso:code:3166:GB 
// 239 countries
$MOD_BAKERY['TXT_STATE_CODE'][1] = 'ABE'; $MOD_BAKERY['TXT_STATE_NAME'][1] = 'Aberdeen City';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'ABD'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Aberdeenshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'ANS'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Angus';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'ANT'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Antrim';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'ARD'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Ards';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'AGB'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Argyll and Bute';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'ARM'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Armagh';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BLA'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Ballymena';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BLY'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Ballymoney';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BNB'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Banbridge';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BDG'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Barking and Dagenham';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BNE'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Barnet';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BNS'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Barnsley';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BAS'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Bath and North East Somerset';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BDF'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Bedford';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BFS'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Belfast';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BEX'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Bexley';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BIR'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Birmingham';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BBD'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Blackburn with Darwen';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BPL'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Blackpool';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BGW'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Blaenau Gwent';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BOL'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Bolton';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BMH'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Bournemouth';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BRC'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Bracknell Forest';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BRD'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Bradford';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BEN'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Brent';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BGE'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Bridgend';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BNH'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Brighton and Hove';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BST'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Bristol, City of';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BRY'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Bromley';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BKM'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Buckinghamshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'BUR'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Bury';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'CAY'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Caerphilly';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'CLD'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Calderdale';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'CAM'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Cambridgeshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'CMD'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Camden';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'CRF'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Cardiff';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'CMN'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Carmarthenshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'CKF'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Carrickfergus';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'CSR'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Castlereagh';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'CBF'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Central Bedfordshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'CGN'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Ceredigion';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'CHE'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Cheshire East';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'CHW'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Cheshire West and Chester';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'CLK'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Clackmannanshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'CLR'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Coleraine';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'CWY'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Conwy';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'CKT'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Cookstown';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'CON'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Cornwall';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'COV'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Coventry';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'CGV'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Craigavon';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'CRY'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Croydon';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'CMA'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Cumbria';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'DAL'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Darlington';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'DEN'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Denbighshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'DER'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Derby';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'DBY'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Derbyshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'DRY'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Derry';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'DEV'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Devon';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'DNC'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Doncaster';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'DOR'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Dorset';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'DOW'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Down';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'DUD'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Dudley';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'DGY'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Dumfries and Galloway';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'DND'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Dundee City';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'DGN'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Dungannon and South Tyrone';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'DUR'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Durham County';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'EAL'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Ealing';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'EAY'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'East Ayrshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'EDU'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'East Dunbartonshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'ELN'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'East Lothian';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'ERW'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'East Renfrewshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'ERY'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'East Riding of Yorkshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'ESX'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'East Sussex';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'EDH'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Edinburgh, City of';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'ELS'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Eilean Siar';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'ENF'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Enfield';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'ENG'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'England';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'EAW'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'England and Wales';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'ESS'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Essex';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'FAL'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Falkirk';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'FER'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Fermanagh';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'FIF'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Fife';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'FLN'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Flintshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'GAT'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Gateshead';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'GLG'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Glasgow City';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'GLS'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Gloucestershire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'GBN'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Great Britain';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'GRE'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Greenwich';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'GWN'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Gwynedd';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'HCK'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Hackney';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'HAL'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Halton';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'HMF'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Hammersmith and Fulham';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'HAM'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Hampshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'HRY'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Haringey';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'HRW'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Harrow';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'HPL'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Hartlepool';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'HAV'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Havering';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'HEF'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Herefordshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'HRT'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Hertfordshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'HLD'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Highland';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'HIL'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Hillingdon';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'HNS'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Hounslow';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'IVC'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Inverclyde';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'AGY'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Isle of Anglesey';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'IOW'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Isle of Wight';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'IOS'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Isles of Scilly';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'ISL'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Islington';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'KEC'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Kensington and Chelsea';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'KEN'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Kent';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'KHL'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Kingston upon Hull';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'KTT'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Kingston upon Thames';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'KIR'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Kirklees';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'KWL'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Knowsley';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'LBH'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Lambeth';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'LAN'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Lancashire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'LRN'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Larne';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'LDS'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Leeds';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'LCE'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Leicester';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'LEC'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Leicestershire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'LEW'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Lewisham';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'LMV'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Limavady';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'LIN'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Lincolnshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'LSB'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Lisburn';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'LIV'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Liverpool';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'LND'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'London, City of';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'LUT'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Luton';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'MFT'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Magherafelt';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'MAN'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Manchester';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'MDW'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Medway';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'MTY'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Merthyr Tydfil';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'MRT'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Merton';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'MDB'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Middlesbrough';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'MLN'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Midlothian';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'MIK'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Milton Keynes';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'MON'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Monmouthshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'MRY'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Moray';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'MYL'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Moyle';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'NTL'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Neath Port Talbot';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'NET'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Newcastle upon Tyne';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'NWM'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Newham';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'NWP'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Newport';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'NYM'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Newry and Mourne';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'NTA'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Newtownabbey';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'NFK'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Norfolk';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'NTH'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Northamptonshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'NAY'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'North Ayrshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'NDN'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'North Down';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'NEL'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'North East Lincolnshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'NIR'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Northern Ireland';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'NLK'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'North Lanarkshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'NLN'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'North Lincolnshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'NSM'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'North Somerset';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'NTY'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'North Tyneside';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'NBL'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Northumberland';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'NYK'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'North Yorkshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'NGM'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Nottingham';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'NTT'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Nottinghamshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'OLD'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Oldham';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'OMH'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Omagh';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'ORK'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Orkney Islands';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'OXF'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Oxfordshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'PEM'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Pembrokeshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'PKN'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Perth and Kinross';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'PTE'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Peterborough';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'PLY'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Plymouth';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'POL'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Poole';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'POR'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Portsmouth';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'POW'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Powys';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'RDG'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Reading';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'RDB'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Redbridge';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'RCC'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Redcar and Cleveland';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'RFW'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Renfrewshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'RCT'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Rhondda, Cynon, Taff';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'RIC'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Richmond upon Thames';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'RCH'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Rochdale';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'ROT'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Rotherham';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'RUT'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Rutland';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'SLF'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Salford';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'SAW'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Sandwell';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'SCT'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Scotland';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'SCB'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Scottish Borders, The';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'SFT'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Sefton';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'SHF'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Sheffield';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'ZET'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Shetland Islands';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'SHR'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Shropshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'SLG'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Slough';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'SOL'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Solihull';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'SOM'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Somerset';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'STH'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Southampton';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'SAY'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'South Ayrshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'SOS'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Southend-on-Sea';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'SGC'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'South Gloucestershire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'SLK'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'South Lanarkshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'STY'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'South Tyneside';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'SWK'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Southwark';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'SHN'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'St. Helens';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'STS'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Staffordshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'STG'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Stirling';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'SKP'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Stockport';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'STT'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Stockton-on-Tees';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'STE'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Stoke-on-Trent';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'STB'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Strabane';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'SFK'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Suffolk';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'SND'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Sunderland';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'SRY'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Surrey';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'STN'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Sutton';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'SWA'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Swansea';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'SWD'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Swindon';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'TAM'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Tameside';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'TFW'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Telford and Wrekin';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'THR'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Thurrock';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'TOB'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Torbay';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'TOF'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Torfaen';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'TWH'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Tower Hamlets';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'TRF'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Trafford';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'UKM'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'United Kingdom';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'VGL'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Vale of Glamorgan, The';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'WKF'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Wakefield';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'WLS'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Wales';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'WLL'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Walsall';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'WFT'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Waltham Forest';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'WND'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Wandsworth';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'WRT'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Warrington';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'WAR'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Warwickshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'WBK'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'West Berkshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'WDU'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'West Dunbartonshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'WLN'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'West Lothian';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'WSM'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Westminster';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'WSX'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'West Sussex';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'WGN'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Wigan';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'WIL'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Wiltshire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'WNM'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Windsor and Maidenhead';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'WRL'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Wirral';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'WOK'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Wokingham';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'WLV'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Wolverhampton';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'WOR'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Worcestershire';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'WRX'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'Wrexham';
$MOD_BAKERY['TXT_STATE_CODE'][] = 'YOR'; $MOD_BAKERY['TXT_STATE_NAME'][] = 'York';
